Bug 467421 - (mingw32-gtk-vnc) Review Request: mingw32-gtk-vnc - MinGW Windows port of VNC client GTK widget
Review Request: mingw32-gtk-vnc - MinGW Windows port of VNC client GTK widget
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-gnutls mingw32-gtk2
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 07:42 EDT by Richard W.M. Jones
Modified: 2009-03-25 12:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.3.8-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 15:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Updated patch for gtk-vnc-0.3.8 (1.81 KB, patch)
2009-02-03 19:10 EST, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Comment 2 Richard W.M. Jones 2009-01-25 08:19:23 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/gtk-vnc/mingw32-gtk-vnc.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-gtk-vnc-0.3.8-0.3.20081030hg.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.3.20081030hg
- Use _smp_mflags.
- Disable static library.
- Rebuild libtool.
Comment 3 Michel Alexandre Salim 2009-02-03 19:02:42 EST
Note: SRPM URL no longer valid, and the Source0 field does not provide a URL; I'm reviewing the slightly modified spec, using the newest gtk-vnc release.

It looks like all patches can be dropped; I only have several things to clarify. Most of them are listed below, but also this:

Documentation: the guideline specifies that man and info pages can be left out if they duplicate the pages in the main Fedora package. But how about license texts, README, ChangeLog, etc. -- the files that normally go under %doc ?

Updated spec attached.

MUST:

+ rpmlint: clean (but no documentation)
+ package name 
+ spec file name
+ package guideline-compliant
+ license complies with guidelines
+ license field accurate

- license file not deleted

+ spec in US English
+ spec legible

- source matches upstream

+ builds under >= 1 archs, others excluded
+ build dependencies complete

N/A locales handled using %find_lang, no %{_datadir}/locale

?   library -> ldconfig (this is not needed for MinGW, I suppose?)

N/A relocatable: give reason

+ own all directories
+ no dupes in %files
+ permission
+ %clean RPM_BUILD_ROOT
+ macros used consistently
+ Package contains code

N/A large docs => -doc
N/A doc not runtime dependent

?   headers in -devel: presumably all mingw32- packages are meant for
    cross-compiling, so this is irrelevant?
N/A static in -static

+   if contains *.pc, req pkgconfig
?   if libfiles are suffixed, the non-suffixed goes to devel
?   devel requires versioned base package

N/A desktop file uses desktop-file-install
N/A clean buildroot before install
+   filenames UTF-8

SHOULD
N/A if license text missing, ask upstream to include it
-   desc and summary contain translations if available
?   package build in mock on all architectures
    Not tested -- not all dependencies in Fedora yet, thus no Koji
+   package functioned as described
+   scriplets are sane
N/A other subpackages should require versioned base
+   if main pkg is development-wise, pkgconfig can go in main package
+   require package not files
Comment 4 Michel Alexandre Salim 2009-02-03 19:10:58 EST
Created attachment 330802 [details]
Updated patch for gtk-vnc-0.3.8
Comment 5 Richard W.M. Jones 2009-02-06 09:46:57 EST
(In reply to comment #3)
> Note: SRPM URL no longer valid, and the Source0 field does not provide a URL;
> I'm reviewing the slightly modified spec, using the newest gtk-vnc release.

Right, so I've updated based on your patched spec file.

> Documentation: the guideline specifies that man and info pages can be left out
> if they duplicate the pages in the main Fedora package. But how about license
> texts, README, ChangeLog, etc. -- the files that normally go under %doc ?

What we have done in all the other MinGW packages is to
include just the license file.  The reasoning is roughly
that the other files are contained in the native Fedora
package, but the license file is in some sense "special"
because we wouldn't want to distribute some code without
the license.

> ?   library -> ldconfig (this is not needed for MinGW, I suppose?)

That's correct.  ldconfig does nothing for DLLs.

> ?   headers in -devel: presumably all mingw32- packages are meant for
>     cross-compiling, so this is irrelevant?

Yes, everything is for development in MinGW.

Here is the updated package:

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/gtk-vnc/mingw32-gtk-vnc.spec
SRPM URL: http://www.annexia.org/tmp/mingw32-gtk-vnc-0.3.8-2.fc11.src.rpm

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-2
- Needs mingw32-filesystem with the pkg-config library path fix.
- Added optional BRs suggested by auto-buildrequires.
- Include the license file.

* Tue Feb  3 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.8-1
- Update to 0.3.8
Comment 6 Michel Alexandre Salim 2009-02-08 01:20:27 EST
All remaining issues have been fixed -- APPROVED.
Comment 7 Richard W.M. Jones 2009-02-09 04:21:11 EST
New Package CVS Request
=======================
Package Name: mingw32-gtk-vnc
Short Description: MinGW Windows port of VNC client GTK widget
Owners: rjones berrange
Branches: EL-5 F-10
InitialCC:
Comment 8 Kevin Fenzi 2009-02-10 17:22:03 EST
cvs done.
Comment 9 Richard W.M. Jones 2009-02-11 04:46:40 EST
Imported into CVS but not built yet because of
dependencies on mingw32-gtk2 and mingw32-gnutls.
Comment 10 Richard W.M. Jones 2009-03-23 15:11:41 EDT
Finally built in F-10.
Comment 11 Fedora Update System 2009-03-23 15:12:15 EDT
mingw32-gtk-vnc-0.3.8-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-gtk-vnc-0.3.8-3.fc10
Comment 12 Fedora Update System 2009-03-25 12:12:32 EDT
mingw32-gtk-vnc-0.3.8-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.